/* (C) 2022 YiRing, Inc. */
package com.yiring.common.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * MinIO 文件下载请求参数（可补充实现对私有桶的文件下载）
 *
 * @author Jim
 * @version 0.1
 * 2022/7/5 15:29
 */

@ApiModel(value = "DownloadParam", description = "文件下载请求参数")
@Valid
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class DownloadParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -8690942241103456899L;

    @ApiModelProperty(value = "bucket", example = "public", required = true)
    @NotEmpty(message = "存储桶不能为空")
    String bucket;

    @ApiModelProperty(value = "object", example = "cat.jpg", required = true)
    @NotEmpty(message = "文件对象不能为空")
    String object;
}
